/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-31
 * 描述            ：质量设计-全制程工序点信息
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.slmord.vo;
import java.io.Serializable;

import market.Qms.slmord.mapper.SlmOrdDesignMscPlStiMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_ORD_DESIGN_MSC_PL_STI", namespace=SlmOrdDesignMscPlStiMapper.class)
public class SlmOrdDesignMscPlSti extends BaseVO implements Serializable {
	/** 
	 * DESIGN_KEY
	 */ 
	@Id
	private String design_key;
	public String  getDesign_key() {
		return this.design_key;
	}
	public void setDesign_key(String design_key) {
		this.design_key = design_key;
	}

	/** 
	 * 全程产线号(COM_MSC_BACKLOG)
	 */ 
	@Id
	private String msc_pline;
	public String  getMsc_pline() {
		return this.msc_pline;
	}
	public void setMsc_pline(String msc_pline) {
		this.msc_pline = msc_pline;
	}

	/** 
	 * 全程途径码
	 */ 
	@Column
	private String whole_backlog;
	public String  getWhole_backlog() {
		return this.whole_backlog;
	}
	public void setWhole_backlog(String whole_backlog) {
		this.whole_backlog = whole_backlog;
	}

	/** 
	 * 全程途径描述
	 */ 
	@Column
	private String whole_backlog_desc;
	public String  getWhole_backlog_desc() {
		return this.whole_backlog_desc;
	}
	public void setWhole_backlog_desc(String whole_backlog_desc) {
		this.whole_backlog_desc = whole_backlog_desc;
	}

	/** 
	 * 全程工序顺序号(COM_MSC_PROCESS)
	 */ 
	@Id
	private Long backlog_seq;
	public Long  getBacklog_seq() {
		return this.backlog_seq;
	}
	public void setBacklog_seq(Long backlog_seq) {
		this.backlog_seq = backlog_seq;
	}

	/** 
	 * 工序代码(COM_MSC_PROCESS)
	 */ 
	@Id
	private String process_code;
	public String  getProcess_code() {
		return this.process_code;
	}
	public void setProcess_code(String process_code) {
		this.process_code = process_code;
	}

	/** 
	 * 工序名称(COM_MSC_PROCESS)
	 */ 
	@Column
	private String process_desc;
	public String  getProcess_desc() {
		return this.process_desc;
	}
	public void setProcess_desc(String process_desc) {
		this.process_desc = process_desc;
	}

	/** 
	 * 同工序流水号
	 */ 
	@Id
	private Long process_seq;
	public Long  getProcess_seq() {
		return this.process_seq;
	}
	public void setProcess_seq(Long process_seq) {
		this.process_seq = process_seq;
	}

	/** 
	 * 二级工序代码(COM_MSC_PROCESS)
	 */ 
	@Id
	private String process_code_c;
	public String  getProcess_code_c() {
		return this.process_code_c;
	}
	public void setProcess_code_c(String process_code_c) {
		this.process_code_c = process_code_c;
	}

	/** 
	 * 二级工序名称(COM_MSC_PROCESS)
	 */ 
	@Column
	private String process_desc_c;
	public String  getProcess_desc_c() {
		return this.process_desc_c;
	}
	public void setProcess_desc_c(String process_desc_c) {
		this.process_desc_c = process_desc_c;
	}

	/** 
	 * 工序点顺序号(COM_MSC_STATION)
	 */ 
	@Id
	private Long process_point_seq;
	public Long  getProcess_point_seq() {
		return this.process_point_seq;
	}
	public void setProcess_point_seq(Long process_point_seq) {
		this.process_point_seq = process_point_seq;
	}

	/** 
	 * 工序点代码(COM_MSC_STATION)
	 */ 
	@Id
	private String process_point_code;
	public String  getProcess_point_code() {
		return this.process_point_code;
	}
	public void setProcess_point_code(String process_point_code) {
		this.process_point_code = process_point_code;
	}

	/** 
	 * 工序点名称(COM_MSC_STATION)
	 */ 
	@Column
	private String process_point_desc;
	public String  getProcess_point_desc() {
		return this.process_point_desc;
	}
	public void setProcess_point_desc(String process_point_desc) {
		this.process_point_desc = process_point_desc;
	}

	/** 
	 * 工序点类型(验验类、判定类、工艺类...)(COM_MSC_STATION)
	 */ 
	@Column
	private String process_point_type;
	public String  getProcess_point_type() {
		return this.process_point_type;
	}
	public void setProcess_point_type(String process_point_type) {
		this.process_point_type = process_point_type;
	}

	/** 
	 * 工艺参数代码
	 */ 
	@Column
	private String craft_param_code;
	public String  getCraft_param_code() {
		return this.craft_param_code;
	}
	public void setCraft_param_code(String craft_param_code) {
		this.craft_param_code = craft_param_code;
	}

	/** 
	 * 工艺参数名称
	 */ 
	@Column
	private String craft_param_desc;
	public String  getCraft_param_desc() {
		return this.craft_param_desc;
	}
	public void setCraft_param_desc(String craft_param_desc) {
		this.craft_param_desc = craft_param_desc;
	}
	
	@Column
	private String guid;
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}

	public String getWhole_coil() {
		return whole_coil;
	}
	public void setWhole_coil(String whole_coil) {
		this.whole_coil = whole_coil;
	}

	private String whole_coil;
	
	
	
}
